module.exports = {
  root: true,
  env: {
    browser: true,
    node: true,
    'jest/globals': true,
  },
  parserOptions: {
    parser: '@babel/eslint-parser',
    // Fix "No Babel config file detected for [file]" error
    // https://github.com/babel/babel/issues/11975#issuecomment-786803214
    requireConfigFile: false,
  },
  extends: [
    'eslint:recommended',
    'prettier',
  ],
  // required to lint *.vue files
  plugins: ['vue', 'jest', 'prettier'],
  // add your custom rules here
  rules: {
    'no-console': ['warn', { allow: ['warn', 'error'] }],
    'no-debugger': 'warn',
    'no-unused-vars': ['error', { args: 'none' }],
  },
};
